Workspaces

Create workspace

POST
https://api.typeform.com/workspaces

Create a workspace. The workspace gets created in the account where the user has the organisation role - owner.

Request

Request Body

Field Type Description
name string Name of the new workspace.

Example

{
  "name": "My new workspace"
}

Response

Status

201 Created

Schema

Field Type Description
account_id string ID in the ULID format of the account where workspace belongs to.
formsPath object Links and count of typeforms in the workspace.
count integer Number of typeforms in the workspace.
href string Link to typeforms in the workspace.
id string Unique identifier for the workspace.
name string Name of the workspace.
selfPath object Link to the workspace.
href string Link to the workspace.
shared boolean If the workspace is shared with a team, true. Otherwise, false.
membersPath array of object Array of members in the workspace.
email string Email of the member.
name string Name of the member.
role string Valid values: owner, member.